## org.hibernate.mapping
Class Join

    java.lang.Object
      org.hibernate.mapping.Join

All Implemented Interfaces:
  Serializable

    public class Join

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`Join()`

Method Summary
`void` `addMappedsuperclassProperty(Property prop)`
`void` `addProperty(Property prop)`
`boolean` `containsProperty(Property prop)`
`void` `createForeignKey()`
`void` `createPrimaryKey()`
`String` `getCustomSQLDelete()`
`ExecuteUpdateResultCheckStyle` `getCustomSQLDeleteCheckStyle()`
`String` `getCustomSQLInsert()`
`ExecuteUpdateResultCheckStyle` `getCustomSQLInsertCheckStyle()`
`String` `getCustomSQLUpdate()`
`ExecuteUpdateResultCheckStyle` `getCustomSQLUpdateCheckStyle()`
`Iterator` `getDeclaredPropertyIterator()`
`KeyValue` `getKey()`
`PersistentClass` `getPersistentClass()`
`Iterator` `getPropertyIterator()`
`int` `getPropertySpan()`
`Table` `getTable()`
`boolean` `isCustomDeleteCallable()`
`boolean` `isCustomInsertCallable()`
`boolean` `isCustomUpdateCallable()`
`boolean` `isInverse()`
`boolean` `isLazy()`
`boolean` `isOptional()`
`boolean` `isSequentialSelect()`
`void` `setCustomSQLDelete(String customSQLDelete, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` `setCustomSQLInsert(String customSQLInsert, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` `setCustomSQLUpdate(String customSQLUpdate, boolean callable, ExecuteUpdateResultCheckStyle checkStyle)`
`void` `setInverse(boolean leftJoin)`
`void` `setKey(KeyValue key)`
`void` `setOptional(boolean nullable)`
`void` `setPersistentClass(PersistentClass persistentClass)`
`void` `setSequentialSelect(boolean deferred)`
`void` `setTable(Table table)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Join

    public Join()

Method Detail

### addProperty

    public void addProperty(Property prop)

### addMappedsuperclassProperty

    public void addMappedsuperclassProperty(Property prop)

### getDeclaredPropertyIterator

    public Iterator getDeclaredPropertyIterator()

### containsProperty

    public boolean containsProperty(Property prop)

### getPropertyIterator

    public Iterator getPropertyIterator()

### getTable

    public Table getTable()

### setTable

    public void setTable(Table table)

### getKey

    public KeyValue getKey()

### setKey

    public void setKey(KeyValue key)

### getPersistentClass

    public PersistentClass getPersistentClass()

### setPersistentClass

    public void setPersistentClass(PersistentClass persistentClass)

### createForeignKey

    public void createForeignKey()

### createPrimaryKey

    public void createPrimaryKey()

### getPropertySpan

    public int getPropertySpan()

### setCustomSQLInsert

    public void setCustomSQLInsert(String customSQLInsert,
                                   boolean callable,
                                   ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLInsert

    public String getCustomSQLInsert()

### isCustomInsertCallable

    public boolean isCustomInsertCallable()

### getCustomSQLInsertCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLInsertCheckStyle()

### setCustomSQLUpdate

    public void setCustomSQLUpdate(String customSQLUpdate,
                                   boolean callable,
                                   ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLUpdate

    public String getCustomSQLUpdate()

### isCustomUpdateCallable

    public boolean isCustomUpdateCallable()

### getCustomSQLUpdateCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLUpdateCheckStyle()

### setCustomSQLDelete

    public void setCustomSQLDelete(String customSQLDelete,
                                   boolean callable,
                                   ExecuteUpdateResultCheckStyle checkStyle)

### getCustomSQLDelete

    public String getCustomSQLDelete()

### isCustomDeleteCallable

    public boolean isCustomDeleteCallable()

### getCustomSQLDeleteCheckStyle

    public ExecuteUpdateResultCheckStyle getCustomSQLDeleteCheckStyle()

### isSequentialSelect

    public boolean isSequentialSelect()

### setSequentialSelect

    public void setSequentialSelect(boolean deferred)

### isInverse

    public boolean isInverse()

### setInverse

    public void setInverse(boolean leftJoin)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isLazy

    public boolean isLazy()

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean nullable)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.